package com.yifu.cloud.plus.v1.yifu.social.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author hgw
 * @Description 社保士兵养工失增加模板
 * @Date 2024-5-10 21:05:29
 **/
@Data
public class SocialSoldierYgsAddVo implements Serializable {

	// 社保id，用于回写
	@ExcelIgnore
	private String socialId;

	//企业名称	证件类型	身份证号码	姓名	国籍	个人身份	民族	参加工作日期	工资
	//	文化程度	户口性质	增员年月	户口所在地	用工形式	手机号码	通讯地址	就业登记时间	单位就业起始时间	合同期限类型
	//合同起始时间	合同终止日期	录用工种代码	合同签订类别	工作时间制度	参保日期	户口所在地行政区划代码	居住所在地行政区划代码	当前经办行政区划代码	补缴原因	回传信息	回传信息1	回传信息2
	@ExcelProperty("企业名称")
	private String socialHouseholdName;
	@ExcelProperty("证件类型")
	private String idCardType;
	@ExcelProperty("身份证号码")
	private String empIdCard;
	@ExcelProperty("姓名")
	private String empName;
	@ExcelProperty("国籍")
	private String country;
	@ExcelProperty("个人身份")
	private String personType;
	@ExcelProperty("民族")
	private String nation;
	@ExcelProperty("参加工作日期")
	private String workDate;
	@ExcelProperty("工资")
	private String recordBase;
	@ExcelProperty("文化程度")
	private String educationName;
	@ExcelProperty("户口性质")
	private String regisType;
	@ExcelProperty("增员年月")
	private String addDate;
	@ExcelProperty("户口所在地")
	private String fileAddr;
	@ExcelProperty("用工形式")
	private String contractName;
	@ExcelProperty("手机号码")
	private String empMobile;
	@ExcelProperty("通讯地址")
	private String mobileAddr;
	@ExcelProperty("就业登记时间")
	private String dispatchDate;
	@ExcelProperty("单位就业起始时间")
	private String workStartDate;
	@ExcelProperty("合同期限类型")
	private String contractDateType;
	@ExcelProperty("合同起始时间")
	private String contractStart;
	@ExcelProperty("合同终止日期")
	private String contractEnd;
	@ExcelProperty("录用工种代码")
	private String workCode;
	@ExcelProperty("合同签订类别")
	private String contractType;
	@ExcelProperty("工作时间制度")
	private String workingHours;
	@ExcelProperty("参保日期")
	private String socialDate;
	@ExcelProperty("户口所在地行政区划代码")
	private String huAddr;
	@ExcelProperty("居住所在地行政区划代码")
	private String zhuAddr;
	@ExcelProperty("当前经办行政区划代码")
	private String banAddr;
	@ExcelProperty("补缴原因")
	private String buRemark;
	@ExcelProperty("回传信息")
	private String huiRemark;
	@ExcelProperty("回传信息1")
	private String huiRemark1;
	@ExcelProperty("回传信息2")
	private String huiRemark2;
}
