package com.yifu.cloud.plus.v1.yifu.social.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author hgw
 * @Description 社保士兵医生大增加模板
 * @Date 2024-5-11 10:28:45
 **/
@Data
public class SocialSoldierYsdAddVo implements Serializable {

	// 社保id，用于回写
	@ExcelIgnore
	private String socialId;

	//企业名称	证件类型	证件号码	姓名	民族	学历	手机号码	人员类型	申报工资
	//用工形式	编制类型	参保日期	合同起止日期	原参保日期	回传信息	回传信息1	回传信息2
	@ExcelProperty("企业名称")
	private String socialHouseholdName;
	@ExcelProperty("证件类型")
	private String idCardType;
	@ExcelProperty("证件号码")
	private String empIdCard;
	@ExcelProperty("姓名")
	private String empName;

	@ExcelProperty("民族")
	private String nation;
	@ExcelProperty("学历")
	private String educationName;
	@ExcelProperty("手机号码")
	private String empMobile;
	// 人员类型：职工在职
	@ExcelProperty("人员类型")
	private String empType;
	@ExcelProperty("申报工资")
	private String recordBase;
	@ExcelProperty("用工形式")
	private String contractName;
	// 编制类型：非在编
	@ExcelProperty("编制类型")
	private String bianType;
	@ExcelProperty("参保日期")
	private String socialDate;
	// 合同起止日期：空
	@ExcelProperty("合同起止日期")
	private String contractDate;
	// 原参保日期
	@ExcelProperty("原参保日期")
	private String socialDateOld;

	@ExcelProperty("回传信息")
	private String huiRemark;
	@ExcelProperty("回传信息1")
	private String huiRemark1;
	@ExcelProperty("回传信息2")
	private String huiRemark2;
}
