package com.yifu.cloud.plus.v1.yifu.social.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author hgw
 * @Description 社保士兵医生大减少模板
 * @Date 2024-5-11 10:28:36
 **/
@Data
public class SocialSoldierYsdReduceVo implements Serializable {

	// 社保id，用于回写
	@ExcelIgnore
	private String socialId;

	//企业名称	证件类型	证件号码	姓名	中断原因	中断时间	回传信息	回传信息1	回传信息2
	@ExcelProperty("企业名称")
	private String socialHouseholdName;
	@ExcelProperty("证件类型")
	private String idCardType;
	@ExcelProperty("证件号码")
	private String empIdCard;
	@ExcelProperty("姓名")
	private String empName;

	@ExcelProperty("中断原因")
	private String reduceReason;
	@ExcelProperty("中断时间")
	private String reduceDate;
	@ExcelProperty("回传信息")
	private String huiRemark;
	@ExcelProperty("回传信息1")
	private String huiRemark1;
	@ExcelProperty("回传信息2")
	private String huiRemark2;
}
